René Gröschke

Revert "Disable auto apply for scan plugin (temporally) (#10783)"

This reverts commit 5b1d0543e4b76fc51aafb5d2fc757dcf086b0e4c.

Disable auto apply for scan plugin (temporally) (#10783)

* Disable auto apply for scan plugin

This will be reenabled as soon as possible once we integrated that gradle snapshot into the ge

Fix checkstyle and ignore correct test

Ignore auto apply related tests

Disable auto apply for scan plugin

Explicitly pass env variables for build scan performance tests

- enable preemptive authentication

Add authentication for resolving scan plugin snapshots

Update auto apply scan plugin to 2.4.2 (#10535)

Update auto apply scan plugin to 2.4.2

Update auto apply scan plugin to 2.4.2

Update performance tests template to not use deprecated configurations

Update default scan plugin version to 2.4.1

Update default scan plugin version to 2.4.1

Use latest Scan plugin 2.4.1-rc-1

Tweak deprecation message (add plural s)

Fix script caching for scripts using deprecated classloader

Deprecating buildSrc usage in settings (#9898)

* Fix sanityCheck

* Handle deprecated use of resources from buildSrc in settings

* Address some feedback from PR review

* Simplify deprecation warning

* ensure only fired once for performance reasons

* tweak test coverage

* add proper test coverage

* use simplified deprecation warning

* ensure works with kotlin-ds;

* Fix caching of deprecated classloader

* use uniqye identifier and avoid same identifier as non deprecated loader

* fix more tests now expecting deprecation warning

* Make DeprecatedClassloader closeable

* Mention deprecation in upgrade guide

  1. … 9 more files in changeset.
Mention deprecation in upgrade guide

Attempt fixing correct classpath closing

Fixing tests, polishing

Rework handling of deprecated classloaders

Make DeprecatedClassloader closeable

minor simplification

minor simplification

Fix more tests by expecting deprecation warning

Fix caching of deprecated classloader

- use uniqye identifier and avoid same identifier as non deprecated loader

- fix more tests now expecting deprecation warning

Some more work heading from spike to actual implementation

- test coverage

- simplified deprecation warning

- works with kotlin-dsl;

Simplify deprecation warning

- ensure only fired once for performance reasons

- tweak test coverage

Some more review feedback

Address some feedback from PR review